#!/bin/sh

# add bin to path
export PATH=../bin:$PATH

#TARGET=debug
TARGET=release

PROGRAM=../bin/$TARGET/Preprocessor2.exe
#PROGRAM=../bin/$TARGET/Preprocessor_old.exe
#PROGRAM=../bin/$TARGET/Preprocessor_itl.exe

EXT=obj
SCENE=vienna_cropped
SCENE_PATH=../data/vienna

#SCENE=arena-high-lods
#SCENE_PATH=../data/Arena

SCENE=soda
SCENE_PATH=../data/soda

ENVIRONMENT=gi_final.env
LOG_PREFIX=../scripts/tests/gi/$SCENE-test

echo "starting $TARGET mode for $SCENE scene ($PROGRAM)"

SCENE_FILENAME=$SCENE_PATH/$SCENE.$EXT

#######################################################

USE_HEUR=false
METHOD=int-$USE_HEUR

echo "$SCENE $METHOD"
$PROGRAM $ENVIRONMENT \
  -scene_filename=$SCENE_FILENAME \
  -view_cells_sampling_type=object_directional \
  -view_cells_evaluation_stats_prefix=$LOG_PREFIX-$METHOD \
  -view_cells_merge_stats=$LOG_PREFIX-$METHOD-mergeStats.log \
  -view_cells_filename=$LOG_PREFIX-$METHOD-viewcells.xml.gz \
  -view_cells_triangle_weight=1.0 \
  -view_cells_object_weight=0.0 \
  -vsp_subdivision_stats=$LOG_PREFIX-$METHOD-vsp-subdivisionStats.log \
  -bvh_subdivision_stats=$LOG_PREFIX-$METHOD-bvh-subdivisionStats.log \
  -hierarchy_subdivision_stats=$LOG_PREFIX-$METHOD-hierarchy-subdivisionStats.log \
  -hierarchy_construction_type=2 \
  -hierarchy_construction_min_avg_rays_per_object=0 \
  -hierarchy_construction_max_avg_rays_per_object=0 \
  -bvh_use_sah=true \
  -vsp_use_cost_heuristics=$USE_HEUR

sh movefiles.sh $LOG_PREFIX-$METHOD



#######################################################

NODES=60000
USE_HEUR=false
METHOD=seq-$NODES-$USE_HEUR
 
#echo "$SCENE $METHOD"
# $PROGRAM $ENVIRONMENT \
 -scene_filename=$SCENE_FILENAME \
 -view_cells_evaluation_stats_prefix=$LOG_PREFIX-$METHOD \
 -view_cells_merge_stats=$LOG_PREFIX-$METHOD-mergeStats.log \
 -view_cells_filename=$LOG_PREFIX-$METHOD-viewcells.xml.gz \
 -vsp_subdivision_stats=$LOG_PREFIX-$METHOD-vsp-subdivisionStats.log \
 -bvh_subdivision_stats=$LOG_PREFIX-$METHOD-bvh-subdivisionStats.log \
 -hierarchy_subdivision_stats=$LOG_PREFIX-$METHOD-hierarchy-subdivisionStats.log \
 -hierarchy_construction_type=0 \
 -view_cells_triangle_weight=1.0 \
 -view_cells_object_weight=50.0 \
 -vsp_use_cost_heuristics=$USE_HEUR \
 -bvh_term_max_leaves=$NODES

#sh movefiles.sh $LOG_PREFIX-$METHOD

